Package org.eclipse.gef.zest.fx.handlers

# Class HideFirstAnchorageOnClickHandler

java.lang.Object
org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl<IVisualPart<? extends Node>>
org.eclipse.gef.mvc.fx.handlers.AbstractHandler
org.eclipse.gef.zest.fx.handlers.HideFirstAnchorageOnClickHandler

All Implemented Interfaces:
  `IAdaptable.Bound<IVisualPart<? extends Node>>`, `org.eclipse.gef.mvc.fx.handlers.IHandler`, `org.eclipse.gef.mvc.fx.handlers.IOnClickHandler`

public class HideFirstAnchorageOnClickHandler extends org.eclipse.gef.mvc.fx.handlers.AbstractHandler implements org.eclipse.gef.mvc.fx.handlers.IOnClickHandler
The `HideFirstAnchorageOnClickHandler` is an `IOnClickHandler` that hides the first anchorage of its host.

## Property Summary

### Properties inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptable`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptable`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

## Constructor Summary

Constructors
Constructor
Description
`HideFirstAnchorageOnClickHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`click(MouseEvent e)`

### Methods inherited from class org.eclipse.gef.mvc.fx.handlers.AbstractHandler

`commit, execute, getHost, init, isRegistered, isRegisteredForHost, restoreRefreshVisuals, rollback, storeAndDisableRefreshVisuals`

### Methods inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from interface org.eclipse.gef.mvc.fx.handlers.IHandler

`getHost`

## Constructor Details

### HideFirstAnchorageOnClickHandler

public HideFirstAnchorageOnClickHandler()

## Method Details

### click

public void click(MouseEvent e)

Specified by:
  `click` in interface `org.eclipse.gef.mvc.fx.handlers.IOnClickHandler`